#include <bits/stdc++.h>

using namespace std;

int main()
{
    string s;
    cin >> s;
    reverse(s.begin(), s.end());
    if (s[0] != '0') {
        for (int i = 0; i < s.size(); i++) {
            if (s[i] == '2')
                s[i] = '5';
            else if (s[i] == '5')
                s[i] = '2';
            cout << s[i];
        }
    }
    else {
        for (int i = 1; i < s.size(); i++) {
            if (s[i] == '2') s[i] = '5';
            else if (s[i] == '5') s[i] = '2';
            if (s[i] >= '0')
                cout << s[i];
        }
    }
    return 0;
}
